#include <vector>
#include "cv.h"
#include "cvcam.h"
#include "cxcore.h"
#include "highgui.h"
#pragma once



namespace OpenCVProject {


	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;
	using namespace System::Threading;

	ref class DebugWindow;

	public delegate void WyslijEventHandler(Object^ ,array<String^>^,array<System::Drawing::Bitmap^>^);
	


	public ref class Algorytm 
	{  
	public:
		Algorytm(DebugWindow^ okno);

	protected:
		~Algorytm();
	private:
		Utils narzedzia;
		bool m_running;
		bool m_pause;
		bool m_pause2;
		Thread^ m_thread;
		DebugWindow^ m_okno;
		long time_red;
		long time_blue;
		long time;
		int time_to_start;

		
	private: System::Windows::Forms::Timer^  timer1;
					
	public:
		CvCapture* m_capture;
	
		event WyslijEventHandler^ Wyslij;


	public:  void step();
	public:  void start();
	public:  void stop();
    public:  void reset();
	public:	 void watek();
	private: void timer1_Tick(System::Object^  , System::EventArgs^  );
	
	};//class
}//namespace
