#pragma once

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace OpenCVProject {

	/// <summary>
	/// Summary for Parameters
	///
	/// WARNING: If you change the name of this class, you will need to change the
	///          'Resource File Name' property for the managed resource compiler tool
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
	public ref class Parameters : public System::Windows::Forms::Form
	{
	public:
		Parameters(char col,double par1,double par2,int par3)
		{
			parm1=par1;
			parm2=par2;
			parm3=par3;
			color=col;
			InitializeComponent();
			//
			//TODO: Add the constructor code here
			//
		}

	protected:
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		~Parameters()
		{
			if (components)
			{
				delete components;
			}
		}
	private: System::Windows::Forms::TrackBar^  trackBar1;
	private: System::Windows::Forms::TrackBar^  trackBar3;
	private: System::Windows::Forms::TrackBar^  trackBar2;
	private: System::Windows::Forms::Label^  label_parm1;
	private: System::Windows::Forms::Label^  label_title;



	private: System::Windows::Forms::Button^  button1;
	private: System::Windows::Forms::Label^  label_par1;
	private: System::Windows::Forms::Label^  label_par2;

	private: System::Windows::Forms::Label^  label_vpar1;
	private: System::Windows::Forms::Label^  label_vpar2;
	private: System::Windows::Forms::Label^  label_vpar3;
	private: System::Windows::Forms::CheckBox^  checkBox1;
	private: System::Windows::Forms::TrackBar^  trackBar4;
	private: System::Windows::Forms::Label^  label3;
	private: System::Windows::Forms::Label^  label_par3;

	private: System::Windows::Forms::Label^  label5;

	protected: 

	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container ^components;
	public:
		double parm1;
		double parm2;
		int parm3;

	private:
		char color;


#pragma region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->trackBar1 = (gcnew System::Windows::Forms::TrackBar());
			this->trackBar3 = (gcnew System::Windows::Forms::TrackBar());
			this->trackBar2 = (gcnew System::Windows::Forms::TrackBar());
			this->label_parm1 = (gcnew System::Windows::Forms::Label());
			this->label_title = (gcnew System::Windows::Forms::Label());
			this->button1 = (gcnew System::Windows::Forms::Button());
			this->label_par1 = (gcnew System::Windows::Forms::Label());
			this->label_par2 = (gcnew System::Windows::Forms::Label());
			this->label3 = (gcnew System::Windows::Forms::Label());
			this->label_par3 = (gcnew System::Windows::Forms::Label());
			this->label5 = (gcnew System::Windows::Forms::Label());
			this->label_vpar1 = (gcnew System::Windows::Forms::Label());
			this->label_vpar2 = (gcnew System::Windows::Forms::Label());
			this->label_vpar3 = (gcnew System::Windows::Forms::Label());
			this->checkBox1 = (gcnew System::Windows::Forms::CheckBox());
			this->trackBar4 = (gcnew System::Windows::Forms::TrackBar());
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar1))->BeginInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar3))->BeginInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar2))->BeginInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar4))->BeginInit();
			this->SuspendLayout();
			// 
			// trackBar1
			// 
			this->trackBar1->Location = System::Drawing::Point(12, 59);
			this->trackBar1->Maximum = 20;
			this->trackBar1->Name = L"trackBar1";
			this->trackBar1->Orientation = System::Windows::Forms::Orientation::Vertical;
			this->trackBar1->Size = System::Drawing::Size(50, 173);
			this->trackBar1->TabIndex = 0;
			this->trackBar1->Scroll += gcnew System::EventHandler(this, &Parameters::trackBar1_Scroll);
			// 
			// trackBar3
			// 
			this->trackBar3->Location = System::Drawing::Point(141, 59);
			this->trackBar3->Maximum = 25;
			this->trackBar3->Name = L"trackBar3";
			this->trackBar3->Orientation = System::Windows::Forms::Orientation::Vertical;
			this->trackBar3->Size = System::Drawing::Size(50, 173);
			this->trackBar3->TabIndex = 2;
			this->trackBar3->Scroll += gcnew System::EventHandler(this, &Parameters::trackBar3_Scroll);
			// 
			// trackBar2
			// 
			this->trackBar2->Location = System::Drawing::Point(79, 59);
			this->trackBar2->Maximum = 20;
			this->trackBar2->Name = L"trackBar2";
			this->trackBar2->Orientation = System::Windows::Forms::Orientation::Vertical;
			this->trackBar2->Size = System::Drawing::Size(50, 173);
			this->trackBar2->TabIndex = 3;
			this->trackBar2->Scroll += gcnew System::EventHandler(this, &Parameters::trackBar2_Scroll);
			// 
			// label_parm1
			// 
			this->label_parm1->AutoSize = true;
			this->label_parm1->ForeColor = System::Drawing::Color::Gainsboro;
			this->label_parm1->Location = System::Drawing::Point(3, 248);
			this->label_parm1->Name = L"label_parm1";
			this->label_parm1->Size = System::Drawing::Size(54, 13);
			this->label_parm1->TabIndex = 4;
			this->label_parm1->Text = L"parameter";
			// 
			// label_title
			// 
			this->label_title->AutoSize = true;
			this->label_title->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 15.75F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(238)));
			this->label_title->ForeColor = System::Drawing::Color::Coral;
			this->label_title->Location = System::Drawing::Point(10, 9);
			this->label_title->Name = L"label_title";
			this->label_title->Size = System::Drawing::Size(164, 25);
			this->label_title->TabIndex = 12;
			this->label_title->Text = L"RED FIGHTER";
			// 
			// button1
			// 
			this->button1->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 9.75F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(238)));
			this->button1->Location = System::Drawing::Point(48, 311);
			this->button1->Name = L"button1";
			this->button1->Size = System::Drawing::Size(90, 32);
			this->button1->TabIndex = 15;
			this->button1->Text = L"Hide";
			this->button1->UseVisualStyleBackColor = true;
			this->button1->Click += gcnew System::EventHandler(this, &Parameters::button1_Click);
			// 
			// label_par1
			// 
			this->label_par1->AutoSize = true;
			this->label_par1->ForeColor = System::Drawing::Color::Gainsboro;
			this->label_par1->Location = System::Drawing::Point(21, 235);
			this->label_par1->Name = L"label_par1";
			this->label_par1->Size = System::Drawing::Size(21, 13);
			this->label_par1->TabIndex = 16;
			this->label_par1->Text = L"r/b";
			// 
			// label_par2
			// 
			this->label_par2->AutoSize = true;
			this->label_par2->ForeColor = System::Drawing::Color::Gainsboro;
			this->label_par2->Location = System::Drawing::Point(81, 235);
			this->label_par2->Name = L"label_par2";
			this->label_par2->Size = System::Drawing::Size(21, 13);
			this->label_par2->TabIndex = 18;
			this->label_par2->Text = L"r/g";
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->ForeColor = System::Drawing::Color::Gainsboro;
			this->label3->Location = System::Drawing::Point(63, 248);
			this->label3->Name = L"label3";
			this->label3->Size = System::Drawing::Size(54, 13);
			this->label3->TabIndex = 17;
			this->label3->Text = L"parameter";
			// 
			// label_par3
			// 
			this->label_par3->AutoSize = true;
			this->label_par3->ForeColor = System::Drawing::Color::Gainsboro;
			this->label_par3->Location = System::Drawing::Point(125, 235);
			this->label_par3->Name = L"label_par3";
			this->label_par3->Size = System::Drawing::Size(56, 13);
			this->label_par3->TabIndex = 20;
			this->label_par3->Text = L"threshhold";
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->ForeColor = System::Drawing::Color::Gainsboro;
			this->label5->Location = System::Drawing::Point(125, 248);
			this->label5->Name = L"label5";
			this->label5->Size = System::Drawing::Size(54, 13);
			this->label5->TabIndex = 19;
			this->label5->Text = L"parameter";
			// 
			// label_vpar1
			// 
			this->label_vpar1->AutoSize = true;
			this->label_vpar1->ForeColor = System::Drawing::Color::Gainsboro;
			this->label_vpar1->Location = System::Drawing::Point(12, 43);
			this->label_vpar1->Name = L"label_vpar1";
			this->label_vpar1->Size = System::Drawing::Size(22, 13);
			this->label_vpar1->TabIndex = 21;
			this->label_vpar1->Text = L"2.0";
			// 
			// label_vpar2
			// 
			this->label_vpar2->AutoSize = true;
			this->label_vpar2->ForeColor = System::Drawing::Color::Gainsboro;
			this->label_vpar2->Location = System::Drawing::Point(81, 43);
			this->label_vpar2->Name = L"label_vpar2";
			this->label_vpar2->Size = System::Drawing::Size(22, 13);
			this->label_vpar2->TabIndex = 22;
			this->label_vpar2->Text = L"2.0";
			// 
			// label_vpar3
			// 
			this->label_vpar3->AutoSize = true;
			this->label_vpar3->ForeColor = System::Drawing::Color::Gainsboro;
			this->label_vpar3->Location = System::Drawing::Point(149, 43);
			this->label_vpar3->Name = L"label_vpar3";
			this->label_vpar3->Size = System::Drawing::Size(25, 13);
			this->label_vpar3->TabIndex = 23;
			this->label_vpar3->Text = L"255";
			// 
			// checkBox1
			// 
			this->checkBox1->AutoSize = true;
			this->checkBox1->ForeColor = System::Drawing::Color::Gainsboro;
			this->checkBox1->Location = System::Drawing::Point(15, 278);
			this->checkBox1->Name = L"checkBox1";
			this->checkBox1->Size = System::Drawing::Size(60, 17);
			this->checkBox1->TabIndex = 24;
			this->checkBox1->Text = L"opacity";
			this->checkBox1->UseVisualStyleBackColor = true;
			this->checkBox1->CheckedChanged += gcnew System::EventHandler(this, &Parameters::checkBox1_CheckedChanged);
			// 
			// trackBar4
			// 
			this->trackBar4->Location = System::Drawing::Point(81, 271);
			this->trackBar4->Maximum = 8;
			this->trackBar4->Name = L"trackBar4";
			this->trackBar4->Size = System::Drawing::Size(104, 50);
			this->trackBar4->TabIndex = 25;
			this->trackBar4->Value = 6;
			this->trackBar4->Scroll += gcnew System::EventHandler(this, &Parameters::trackBar4_Scroll);
			// 
			// Parameters
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->BackColor = System::Drawing::Color::DarkGray;
			this->ClientSize = System::Drawing::Size(197, 359);
			this->ControlBox = false;
			this->Controls->Add(this->button1);
			this->Controls->Add(this->trackBar4);
			this->Controls->Add(this->checkBox1);
			this->Controls->Add(this->label_vpar3);
			this->Controls->Add(this->label_vpar2);
			this->Controls->Add(this->label_vpar1);
			this->Controls->Add(this->label_par3);
			this->Controls->Add(this->label5);
			this->Controls->Add(this->label_par2);
			this->Controls->Add(this->label3);
			this->Controls->Add(this->label_par1);
			this->Controls->Add(this->label_title);
			this->Controls->Add(this->label_parm1);
			this->Controls->Add(this->trackBar2);
			this->Controls->Add(this->trackBar3);
			this->Controls->Add(this->trackBar1);
			this->FormBorderStyle = System::Windows::Forms::FormBorderStyle::FixedToolWindow;
			this->MaximizeBox = false;
			this->MinimizeBox = false;
			this->Name = L"Parameters";
			this->StartPosition = System::Windows::Forms::FormStartPosition::CenterParent;
			this->Text = L"Parameters";
			this->TopMost = true;
			this->Load += gcnew System::EventHandler(this, &Parameters::Parameters_Load);
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar1))->EndInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar3))->EndInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar2))->EndInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar4))->EndInit();
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion
	private: System::Void trackBar1_Scroll(System::Object^  sender, System::EventArgs^  e) {
			  parm1=((double)trackBar1->Value)/10;
			  label_vpar1->Text=""+parm1;
			 }
private: System::Void trackBar2_Scroll(System::Object^  sender, System::EventArgs^  e) {
			  parm2=((double)trackBar2->Value)/10;
			  label_vpar2->Text=""+parm2;
		 }
private: System::Void trackBar3_Scroll(System::Object^  sender, System::EventArgs^  e) {
			  parm3=(trackBar3->Value*10);
			  label_vpar3->Text=""+parm3;
		 }
private: System::Void button1_Click(System::Object^  sender, System::EventArgs^  e) {
			 this->Hide();
		 }
private: System::Void Parameters_Load(System::Object^  sender, System::EventArgs^  e) {
			 trackBar1->Value=(int)(parm1*10);
			 trackBar2->Value=(int)(parm2*10);
			 trackBar3->Value=parm3/10;
			 label_vpar1->Text=""+parm1;
			 label_vpar2->Text=""+parm2;
			 label_vpar3->Text=""+parm3;

			 if (color==0)
			 {
			label_title->ForeColor = System::Drawing::Color::Coral;
			label_title->Text = L"RED FIGHTER";
			label_par1->Text = L"r/g";
			label_par2->Text = L"r/b";
			 }
			 if (color==1)
			 {
			label_title->ForeColor = System::Drawing::Color::RoyalBlue;
			label_title->Text = L"BLUE FIGHTER";
			label_par1->Text = L"b/r";
			label_par2->Text = L"b/g";
			 }
		 }
private: System::Void checkBox1_CheckedChanged(System::Object^  sender, System::EventArgs^  e)
		 {
			 if(checkBox1->Checked==true)
				 this->Opacity=((double)(2+trackBar4->Value))*0.1;
			 else
				this->Opacity=1;
		 }
private: System::Void trackBar4_Scroll(System::Object^  sender, System::EventArgs^  e) 
		 {
			 if(checkBox1->Checked==true)
				 this->Opacity=((double)(2+trackBar4->Value))*0.1;
		 }
};
}
